import * as $dara from '@darabonba/typescript';
export declare class DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItemAttributeValuesValueItem extends $dara.Model {
    count?: number;
    diskCategory?: string;
    expiredTime?: string;
    instanceChargeType?: string;
    instanceType?: string;
    value?: string;
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItemAttributeValues extends $dara.Model {
    valueItem?: DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItemAttributeValuesValueItem[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItem extends $dara.Model {
    attributeName?: string;
    attributeValues?: DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItemAttributeValues;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeAccountAttributesResponseBodyAccountAttributeItems extends $dara.Model {
    accountAttributeItem?: DescribeAccountAttributesResponseBodyAccountAttributeItemsAccountAttributeItem[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeAccountAttributesResponseBody extends $dara.Model {
    accountAttributeItems?: DescribeAccountAttributesResponseBodyAccountAttributeItems;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 8CE45CD5-31FB-47C2-959D-CA8144CE****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
